org.springframework.beans.factory.support

## Class ReplaceOverride

- java.lang.Object
- - org.springframework.beans.factory.support.MethodOverride
  - - org.springframework.beans.factory.support.ReplaceOverride

All Implemented Interfaces:
  BeanMetadataElement

    public class ReplaceOverride
    extends MethodOverride

Extension of MethodOverride that represents an arbitrary override of a method by the IoC container.

Any non-final method can be overridden, irrespective of its parameters and return types.

Since:
  1.1
Author:
  Rod Johnson, Juergen Hoeller

### Constructor Summary

Constructors
Constructor and Description
`ReplaceOverride(String methodName, String methodReplacerBeanName)` Construct a new ReplaceOverride.

### Method Summary

Methods
`void` `addTypeIdentifier(String identifier)` Add a fragment of a class string, like "Exception" or "java.lang.Exc", to identify a parameter type.
`boolean` `equals(Object other)`
`String` `getMethodReplacerBeanName()` Return the name of the bean implementing MethodReplacer.
`int` `hashCode()`
`boolean` `matches(Method method)` Subclasses must override this to indicate whether they match the given method.
`String` `toString()`

### Methods inherited from class org.springframework.beans.factory.support.MethodOverride

`getMethodName, getSource, isOverloaded, setOverloaded, setSource`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### ReplaceOverride

    public ReplaceOverride(String methodName,
                   String methodReplacerBeanName)

Construct a new ReplaceOverride.

Parameters:
  `methodName` - the name of the method to override
  `methodReplacerBeanName` - the bean name of the MethodReplacer

### Method Detail

#### getMethodReplacerBeanName

    public String getMethodReplacerBeanName()

Return the name of the bean implementing MethodReplacer.

#### addTypeIdentifier

    public void addTypeIdentifier(String identifier)

Add a fragment of a class string, like "Exception" or "java.lang.Exc", to identify a parameter type.

Parameters:
  `identifier` - a substring of the fully qualified class name

#### matches

    public boolean matches(Method method)

Description copied from class: `MethodOverride`
Subclasses must override this to indicate whether they match the given method. This allows for argument list checking as well as method name checking.

Specified by:
  `matches` in class `MethodOverride`
Parameters:
  `method` - the method to check
Returns:
  whether this override matches the given method

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

#### equals

    public boolean equals(Object other)

Overrides:
  `equals` in class `MethodOverride`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `MethodOverride`